commit:     bd9db0a159cbd2ec5a0fa52b8631ca8f0832c684
Author:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 13 18:02:25 2016 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Mon Jun 13 18:04:03 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bd9db0a1

sys-libs/libunwind: disable building code in tests/ #484846

 sys-libs/libunwind/libunwind-1.1.ebuild | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/sys-libs/libunwind/libunwind-1.1.ebuild 
b/sys-libs/libunwind/libunwind-1.1.ebuild
index d7a83d6..96c0baf 100644
--- a/sys-libs/libunwind/libunwind-1.1.ebuild
+++ b/sys-libs/libunwind/libunwind-1.1.ebuild
@@ -31,6 +31,10 @@ src_prepare() {
        echo 'int main(){return 0;}' > tests/Gtest-dyn1.c
        echo 'int main(){return 0;}' > tests/Ltest-dyn1.c
 
+       # Since we have tests disabled via RESTRICT, disable building in the 
subdir
+       # entirely.  This worksaround some build errors too. #484846
+       sed -i -e '/^SUBDIRS/s:tests::' Makefile.in || die
+
        sed -i -e '/LIBLZMA/s:-lzma:-llzma:' configure{.ac,} || die #444050
        epatch "${FILESDIR}"/${P}-lzma.patch #444050
        elibtoolize

Reply via email to